/*
 * CHardware_RZA2M.h
 *
 *  Created on: 16 Oct 2023
 *      Author: max.petrak
 */

#ifndef SOURCE_CHARDWARE_RA6M3_H_
#define SOURCE_CHARDWARE_RA6M3_H_

#include "CHardware.h"

#include <cstdint>

class CHardwareRA6M3 : public CHardware
{
public:
    CHardwareRA6M3();
    virtual ~CHardwareRA6M3();

    virtual void GetAccelerometerData(eC_Int &iX, eC_Int &iY, eC_Int &iZ);
    virtual eC_Bool GetButtonData(eC_Value vButton);
};

#endif
